Loading...
Searching...
No Matches
Dune::Amg::SequentialInformation Class Reference

`#include <dune/istl/paamg/pinfo.hh>`

## Public Types

typedef Communication< void * > | MPICommunicator
typedef EmptySet< int > | CopyFlags
typedef AllSet< int > | OwnerSet
typedef int | GlobalLookupIndexSet

## Public Member Functions

SolverCategory::Category | category () const
MPICommunicator | communicator () const
int | procs () const
template<typename T>
T | globalSum (const T &t) const
void | buildGlobalLookup (std::size_t)
void | freeGlobalLookup ()
const GlobalLookupIndexSet & | globalLookup () const
template<class V>
void | copyOwnerToAll (V &v, V &v1) const
template<class V>
void | project (V &v) const
template<class T1, class T2>
void | dot (const T1 &x, const T1 &y, T2 &result) const
template<class T1>
FieldTraits< typenameT1::field_type >::real_type | norm (const T1 &x) const
template<class T>
| SequentialInformation (const Communication< T > &)
| SequentialInformation ()
| SequentialInformation (const SequentialInformation &)

## Member Typedef Documentation

## CopyFlags

typedef EmptySet<int> Dune::Amg::SequentialInformation::CopyFlags

## GlobalLookupIndexSet

typedef int Dune::Amg::SequentialInformation::GlobalLookupIndexSet

## MPICommunicator

typedef Communication<void*> Dune::Amg::SequentialInformation::MPICommunicator

## OwnerSet

typedef AllSet<int> Dune::Amg::SequentialInformation::OwnerSet

## Constructor & Destructor Documentation

## SequentialInformation() [1/3]

template<class T>

Dune::Amg::SequentialInformation::SequentialInformation | ( | const Communication< T > & |  | ) |

inline

## SequentialInformation() [2/3]

Dune::Amg::SequentialInformation::SequentialInformation | ( |  | ) |

inline

## SequentialInformation() [3/3]

Dune::Amg::SequentialInformation::SequentialInformation | ( | const SequentialInformation & |  | ) |

inline

## Member Function Documentation

## buildGlobalLookup()

void Dune::Amg::SequentialInformation::buildGlobalLookup | ( | std::size_t |  | ) |

inline

## category()

SolverCategory::Category Dune::Amg::SequentialInformation::category | ( |  | ) | const

inline

## communicator()

MPICommunicator Dune::Amg::SequentialInformation::communicator | ( |  | ) | const

inline

## copyOwnerToAll()

template<class V>

void Dune::Amg::SequentialInformation::copyOwnerToAll | ( | V & | v,
|  | V & | v1 ) const

inline

## dot()

template<class T1, class T2>

void Dune::Amg::SequentialInformation::dot | ( | const T1 & | x,
|  | const T1 & | y,
|  | T2 & | result ) const

inline

## freeGlobalLookup()

void Dune::Amg::SequentialInformation::freeGlobalLookup | ( |  | ) |

inline

## globalLookup()

const GlobalLookupIndexSet & Dune::Amg::SequentialInformation::globalLookup | ( |  | ) | const

inline

## globalSum()

template<typename T>

T Dune::Amg::SequentialInformation::globalSum | ( | const T & | t | ) | const

inline

## norm()

template<class T1>

FieldTraits< typenameT1::field_type >::real_type Dune::Amg::SequentialInformation::norm | ( | const T1 & | x | ) | const

inline

## procs()

int Dune::Amg::SequentialInformation::procs | ( |  | ) | const

inline

## project()

template<class V>

void Dune::Amg::SequentialInformation::project | ( | V & | v | ) | const

inline

The documentation for this class was generated from the following file:

- pinfo.hh